package problems;

public class Deck {

	private Card [] cards;
	
	public String obtainRandomSuit() {
		int i = (int) (Math.random() * Card.SUITS.length);
		return Card.SUITS[i];
	}
	
	public String obtainRandomName() {
		int i = (int) (Math.random() * Card.NAMES.length);
		return Card.NAMES[i];
	}
	
	public Card createCard(String name, String suit) {
		Card c = new Card();
		c.setName(name);
		c.setSuit(suit);
		return c;
	}
	
	public void initializeDeck() {
		cards = new Card[52];
		for(int i=0; i<cards.length; i++) {
			cards[i] = new Card();
			cards[i].setSuit(obtainRandomSuit());
			cards[i].setName(obtainRandomName());
		}
	}
	
	public void printDeck() {
		for(int i=0; i<cards.length-1; i++) {
			System.out.print(cards[i].getName() + " of " + cards[i].getSuit() + ", ");
		}
		System.out.print(cards[cards.length-1].getName() + " of " + cards[cards.length-1].getSuit() + "\n");
	}
}
